%global modulename read-installed

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-read-installed
Version:        4.0.3
Release:        2%{?dist}
Summary:        Read all the installed packages in a folder, and return a tree structure with all the data.

License:        ISC
URL:            https://github.com/isaacs/read-installed#readme
Source0:        https://registry.npmjs.org/read-installed/-/read-installed-4.0.3.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(debuglog) >= 1.0.1 with npmlib(debuglog) < 2.0.0))
BuildRequires:  ((npmlib(read-package-json) >= 2.0.0 with npmlib(read-package-json) < 3.0.0))
BuildRequires:  ((npmlib(readdir-scoped-modules) >= 1.0.0 with npmlib(readdir-scoped-modules) < 2.0.0))
BuildRequires:  ((npmlib(semver) >= 2.0.0 with npmlib(semver) < 3.0.0) or (npmlib(semver) >= 3.0.0 with npmlib(semver) < 4.0.0) or (npmlib(semver) >= 4.0.0 with npmlib(semver) < 5.0.0) or (npmlib(semver) >= 5.0.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(slide) >= 1.1.3 with npmlib(slide) < 1.2.0))
BuildRequires:  ((npmlib(util-extend) >= 1.0.1 with npmlib(util-extend) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Read all the installed packages in a folder, and return a tree structure with all the data.

%package 4.0.3
Summary:        Read all the installed packages in a folder, and return a tree structure with all the data.


%description 4.0.3
Read all the installed packages in a folder, and return a tree structure with all the data.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr read-installed.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 4.0.3
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 4.0.3-2
- Package automatically generated by npm2srpm
